Page MenuHomePhabricator

Deprecate OO.ui.now in favour of ES5 Date.now
Closed, ResolvedPublic

Description

I don't know if OOUI already requires ES5, but if it does, it might be a good time to deprecate OO.ui.now, simplify it to an alias for Date.now and update callers to call Date.now directly.

Event Timeline

Krinkle created this task.Jan 12 2018, 10:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2018, 10:53 PM

Change 497615 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[oojs/ui@master] core: Remove unused Date.now fallback

https://gerrit.wikimedia.org/r/497615

Change 497615 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE] core: Remove unused Date.now fallback

https://gerrit.wikimedia.org/r/497615

Change 498143 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Change 498143 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.1

https://gerrit.wikimedia.org/r/498143

Jdforrester-WMF closed this task as Resolved.Mar 22 2019, 7:20 PM
Jdforrester-WMF assigned this task to Krinkle.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This patch landed in MediaWiki master in time for 1.33.0-wmf.23, which will go out to Wikimedia production from 2019-03-26.